Bug 178494 - Bad package build
Bad package build
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: scribus (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Andreas Bierfert
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-20 17:54 EST by Dan Young
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version: 1.2.4.1-2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-23 02:45:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dan Young 2006-01-20 17:54:05 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050926 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
Error on install of scribus.i386 (OK on x86_64):

error: unpacking of archive failed on file /usr/share/scribus/doc/en/images/svg1.png;43d169e9: cpio: read


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. yum clean all
2. yum install scribus
3. Observe error
  

Actual Results:  error: unpacking of archive failed on file /usr/share/scribus/doc/en/images/svg1.png;43d169e9: cpio: read

# rpm -K /var/cache/yum/extras/packages/scribus-1.2.4.1-1.fc4.i386.rpm
/var/cache/yum/extras/packages/scribus-1.2.4.1-1.fc4.i386.rpm: (sha1) dsa sha1 md5 gpg OK

Expected Results:  Package installs correctly; no error.

Additional info:

Package no corrupt, passes MD5 and GPG check. See "rpm -K" in actual results.
Comment 1 Michael Schwendt 2006-01-20 19:04:54 EST
$ fedora-extract scribus-1.2.4.1-1.fc4.i386.rpm
[...]
scribus-1.2.4.1-1.fc4/usr/share/scribus/doc/en/images/spinbox1.png
scribus-1.2.4.1-1.fc4/cpio: premature end of file

x86_64 doesn't have this problem.
package there is quite longer (8.1 MB) compared with the previous
version, while i386 build has the same size.
Comment 2 Alex Lancaster 2006-01-20 19:24:17 EST
Confirming that I get exactly the same problem on fc4.
Comment 3 Andreas Bierfert 2006-01-21 03:13:07 EST
Hm, I will do another test compile locally but this might have been a buildsys
issue...
Comment 4 Andreas Bierfert 2006-01-21 03:31:23 EST
[09:33 AM][awjb@alkaid ~/cvs/fedora/extras/rpms/scribus/FC-4]$ ls -la
scribus-1.2.4.1-1.i386.rpm 
-rw-r--r--  1 awjb awjb 8676614 Jan 21 09:33 scribus-1.2.4.1-1.i386.rpm

So it should be around 8MB... I will push it through the buildsys again...
Comment 5 Andreas Bierfert 2006-01-22 03:35:55 EST
Rebuild. We will see if it is ok now.
Comment 6 Alex Lancaster 2006-01-22 20:16:53 EST
Install worked for me on FC-4.  Feel free to close bug.

Note You need to log in before you can comment on or make changes to this bug.